SPPP_DO_IOCTL(9)

NAME
sppp_do_ioctl - Ioctl handler for ppp/hdlc

SYNOPSIS

int sppp_do_ioctl (struct net_device * dev, struct ifreq * ifr, int cmd);

ARGUMENTS

dev Device subject to ioctl

ifr Interface request block from the user

cmd Command that is being issued

DESCRIPTION

This function handles the ioctls that may be issued by the user to control the settings of a PPP/HDLC link. It does both busy and security checks. This function is intended to be wrapped by callers who wish to add additional ioctl calls of their own.